Subject: [bug#65335] [PATCH 0/4] Allow mounting root on tmpfs for impersistence

From: Nicolas Graves <[email-masked]>
Date: Tue, 20 Feb 2024 00:47:47 +0100

On 2024-02-19 18:48, Ludovic Courtès wrote:

> Hi Nicolas,
>
> Nicolas Graves <[email-masked]> skribis:
>
>> Just to tell that the v3 I sent a few weeks ago is indeed fully tested,
>> and that commit messages are properly written.
>
> Just pushed v3 as b1ec85533a63c10616d9260f90411ca6f362de00!
>
> I did tweak the commit messages but that’s because I’m too picky :-) and
> the changes were minor.
>
>> Should we also think about a blog post on impermanence like nix did?
>
> Yes, definitely!
>
> There could also be a section in the manual with a complete OS
> definition, to show how one can set up a volatile image.

On my todo list, though my priority right now is node-build-system to
try and package zotero properly.

>
> Last, I realize there’s no system tests.  I’m not sure how to do that
> (because system tests already run on a tmpfs overlay) but it’d be nice
> to make sure “root=none” handling keeps working.
>
> Thoughts?

I don't have a better view on this than you have. Basically I mostly
test it directly since for most changes I can always roll-back. Indeed
here it doesn't seem straightforward to check it fully, we can still
test the function bootable-kernel-arguments, but it's not that useful.
> Thanks for all the work!
> Ludo’.

-- 
Best regards,
Nicolas Graves